/*
** Module   : ScrollGuiContainer.java
** Abstract : a container for scroll frames.
**
** Copyright (c) 2014, Golden Code Development Corporation.
** ALL RIGHTS RESERVED. Use is subject to license terms.
**
**           Golden Code Development Corporation
**                      CONFIDENTIAL
**
** -#- -I- --Date-- ---------------------------------Description----------------------------------
** 001 MAG 20141023 Create first release.
*/

package com.goldencode.p2j.ui.client.gui;

import com.goldencode.p2j.ui.client.*;
import com.goldencode.p2j.ui.client.gui.driver.*;
import com.goldencode.p2j.ui.client.widget.*;

public class ScrollGuiContainer 
extends ScrollContainer<GuiOutputManager>
{
   /** Screen driver */
   private GuiDriver gd;
 
   /**
    * The default constructor sets the layout manager to NullLayout.
    * 
    * @param   isScrollable
    *          The boolean flag that indicates whether the ScrollContainer has
    *          the scrolling capability.
    */
   public ScrollGuiContainer(boolean isScrollable, Frame<GuiOutputManager> frame)
   {
      super(isScrollable, frame);
      // screen driver
      gd = (GuiDriver) OutputManager.getDriver();
   }

   /**
    * Draw
    */
   public void draw()
   {
      NativePoint p = physicalLocation();

      gd.draw(p, null, new Runnable()
      {
         @Override
         public void run()
         {
            for (Widget<?> widget : widgets())
            {
               widget.draw();
            }
         }
      });
   }
}
